# UpdateEmployee

Use this method to update an employee record. **Note:** When you are updating an employee you don’t need to specify every element. If you exclude an element then the existing value will be preserved.

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Employee Id

Unique identifier of the employee to update.

#### Employee

Employee to update.

## Output

#### Employee

Employee updated.

## Links

[Xero Developer: Employees (POST)](https://developer.xero.com/documentation/api/employees#POST)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/employees/updateemployee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
